Problem with upgrade from 11.5.1 to 12.5.2 - "esp execution stacksize" parameter value not changeable in 11.5.1

I am upgrading an 11.5.1 server to 12.5.2.

I ran the sqlupgrade utility in non-upgrade mode and fixed up the issues it
threw up.

There is one remaining issue which I cannot fix.

The sqlupgrade utility say that I must set the "esp execution stacksize"
server parameter value to a min of 50000.

However when I attempt to change this on my 11.5.1 server I get the
following error message.

-------------------------------------------------------------------------------
1>  sp_configure "esp execution stacksize", 50000
2> go
Msg 5846, Level 16, State 1:
Server 'BACKUP', Procedure 'sp_configure', Line 433:
Illegal value '50000' specified for configuration option 'esp execution
stacksize'. The legal values are between '-1' and '-1'.
(return status = 1)
-------------------------------------------------------------------------------

What can I do here?

Should I proceed and try and perform the actual upgrade and will the upgrade
process deal with this?

Any suggestions would be appreciated!

Tom.



0
Tom
11/17/2004 2:42:43 PM
sybase.ase.upgrades+migration 687 articles. 0 followers. Follow

1 Replies
657 Views

Similar Articles

[PageSpeed] 38

To answer my own query:

Solution: Ignore it, it's a warning in disguise.

The "esp execution stacksize" parameter was related to the XP_Server which
is not supported in 11.5.x on AIX and wasn't until 11.9.2. AIX 4.1 on which
11.5 was compiled didn't support the necessary libraries.

I went ahead and did the upgrade and it worked, even though the preupgrade
checks flag this with the following error:

    ***ERROR: Upgrade eligibilty test  failed

Tom.

"Tom Brehony" <tombrehony.nospam@eircom.nospam.net> wrote in message 
news:30152jF2pour7U1@uni-berlin.de...
>I am upgrading an 11.5.1 server to 12.5.2.
>
> I ran the sqlupgrade utility in non-upgrade mode and fixed up the issues 
> it
> threw up.
>
> There is one remaining issue which I cannot fix.
>
> The sqlupgrade utility say that I must set the "esp execution stacksize"
> server parameter value to a min of 50000.
>
> However when I attempt to change this on my 11.5.1 server I get the
> following error message.
>
> -------------------------------------------------------------------------------
> 1>  sp_configure "esp execution stacksize", 50000
> 2> go
> Msg 5846, Level 16, State 1:
> Server 'BACKUP', Procedure 'sp_configure', Line 433:
> Illegal value '50000' specified for configuration option 'esp execution
> stacksize'. The legal values are between '-1' and '-1'.
> (return status = 1)
> -------------------------------------------------------------------------------
>
> What can I do here?
>
> Should I proceed and try and perform the actual upgrade and will the 
> upgrade
> process deal with this?
>
> Any suggestions would be appreciated!
>
> Tom.
>
>
> 


0
Tom
11/22/2004 3:41:08 PM
Reply:

Similar Artilces:

Upgrading ASE for NT 11.5 to 11.5.1 and OpenClient upgrades
Hello, First, how do I get the upgrade kit to upgrade ASE for NT from 11.5 to 11.5.1? Second, does the above upgrade kit also upgrade the OpenClient libraries? I found the "EBF" files on the Sybase web site. Specifically, EBF7786.zip, which has lots of fixes for OpenClient & OpenServer 11.1.1. And EBF8015.zip, which has fixes for ASE 11.5.0. I tried applying EBF8015.zip, but when I tried to starting the server, I got the following error: The procedure entry point uniconv_unistreamToS could not be located in the dynamic link library libunic.dll. Fortunatel...

Upgrade of ASE 11.5.1 to 11.5.1.1 (aka EBF 8213)
Hi, Last week we upgraded our production environment to 11.5.1.1 after recommendation from Sybase Customer Services. Unfortunaltely, due to a rather serious bug (possibly bugID 165680) in the new software, we had to downgrade after a few hours of use due to numerous communication errors received by client applications. Symptoms of this included: 1) Cancelling a query from ISQL After cancelling, no results were returned from the next command on the same session. Subsequent commands were followed by result sets from the _previous_ command. 2) General SQL error. ...

FF 1.5 Beta 2 -> 1.5 RC2 upgrade incorrecly displays 1.5 RC2 as just 1.5 in upgrade windows
Name: Dustin Getz Product: Firefox Summary: FF 1.5 Beta 2 -> 1.5 RC2 upgrade incorrecly displays 1.5 RC2 as just 1.5 in upgrade windows Comments: Beta 2 automatic updater informed me that 1.5 was released, but it was really 1.5 RC2. Displayed version name was incorrect. Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051107 Firefox/1.5 ...

Upgrading from 11.5.1 to 12.5.1
Hi We are planning to migrate Sybase ASE 11.5.1 to Sybase ASE 12.5.1 (Running on Solaris 64bit). I am thinking abt thse methods for migration 1. Install Sybase 12.5.1 . Take dump of databases from 11.5 and load it in 12.5. 2.Using upgrade option of Sybase 3.bcp out/ bcp in data, migrate all other objects by using some tools like sybase central or dbartican. which will be the best method ,wont give problems after migration? Is there any thing u need to do extra after migration? Please help Regards Sandeep ...

OpenSuSE 11.4 -> 11.5 with myaql upgrade from 5.1 to 5.5
Hi! I have upgraded my OpenSuSE-11.4 to 12.1 which includes an upgrade of my mysql from 5.1 to 5.5 and I have made a big mistake and not made an mysqldump of my database. Unfortunately now my mysql isn't starting and I get the message: 120409 16:27:38 InnoDB: The InnoDB memory heap is disabled 120409 16:27:38 InnoDB: Mutexes and rw_locks use GCC atomic builtins 120409 16:27:38 InnoDB: Compressed tables use zlib 1.2.5 120409 16:27:38 InnoDB: Initializing buffer pool, size = 128.0M 120409 16:27:38 InnoDB: Completed initialization of buffer pool 120409 16:27:38 InnoDB: highe...

Upgrading ASE 11.5(repsrv 11.5.1) to 11.92 on solaris
Hi Sybase Rep Guru's, I want to upgrade my Sybase ASE from 11.5on Sub Solaris 2.6/2.7 to 11.9.2 for bettar performace and stablitiy. We are Replicating our database to a reporting server. When I upgrade My ASE to 11.9.2 will there be any problems with the rep server being 11.5.1 are there any known problems or incompatibilities. Please Help Me Thanks in Advance Balaji ...

Problem with RS 11.5.1 and ASE 11.5.1
I'm having several problems with RS. The Replication System has 2 ASE (one 11.9.2 and one 11.5.1) and one RS 11.5.1. This should be a bidirectional system. But when I try to replicate from 11.5.1 to 11.9.2 with text fields it gives me the following error: ERROR #5150 DSI EXEC(104(1) PORTAL_GF.portal) - /dsiexec.c(2626) Function 'rs_get_textptr' for 'HUMANED_GF' returned multiple rows. I can't understand this because I have a primary key. I also have the following problem when the RS starts: ERROR #28049 DSI(104 PORTAL_GF.portal) - sub_rsts.c(445) ...

ASE 11.5.0 Upgrade to 11.5.1
This seems to be missing! Can anyone help me? There doesn't seem to be an update available from the Sybase web site. I only see the following ebf's: EBF 7830 - Updates from 11.5 to 11.5.0 EBF 8308 - Updates 11.5.1 only EBF 8511 - Updates 11.5.1 to 11.5.1.1 Seems to be missing an EBF to upgrade from 11.5.0 to 11.5.1? Can anyone help on this problem! TIA This is a cryptographically signed message in MIME format. --------------ms28C06C4B59410586464C30D5 Content-Type: multipart/mixed; boundary="------------D7FD71AC228D514D4F773079" This is a multi-part mess...

Upgrade from ASE 11.5.1 t 12.0 or 12.5
I'm planning an upgrade from 11.5.1 to either 12.0 or 12.5 on Sun Solaris (32-bit). Since the in-place upgrade is not an option, can someone correct me if I'm wrong in the steps that need to be performed. 1. backup all databases 2. drop databases and devices from current ASE 3. upgrade ASE 11.5.1 to either 12.0 or 12.5 4. re-create devices 5. re-create all databases for load 6. Load databases from dump As an alternative, could I eliminate steps 4 and 5 by just loading master from an 11.5.1 dump and have all devices and databases automatically re-created. No don...

11.5.1 upgrade to 12 or 12.5
Hi, I need to upgrade my ASE 11.5.1 to either 12 or 12.5 (Solaris platform), my question is if I should upgrade to 11.9.2 first or should I go straight to 12 or maybe even 12.5. I plan on doing this on a test server first, followed by a development server and finally a production server. germano-silva@home.com wrote... > Hi, > > I need to upgrade my ASE 11.5.1 to either 12 or 12.5 (Solaris platform), my > question is if I should upgrade to 11.9.2 first or should I go straight to > 12 or maybe even 12.5. > > I plan on doing this on a test server firs...

SQLRemote Problem with 7.0.2-1 and 6.0.2-1 on Linux [ASE 11.9.2-3 and ASE 12.5 eval]
Hi all I got the following problems using sql-remote. on ASE 12.5 eval: I got the following RPMs installed on RedHat Linux 7.2 - Kernel 2.4.17 - glibc-2.2.4 sybase-ase-12.5-3.i386.rpm sybase-common-12.5-3.i386.rpm sybase-openclient-12.5-3.i386.rpm sybase-sqlremote-7.0.2-1.i386.rpm After the execution of ssxtract or ssremote I got an error like: ../ssxtract: /opt/sybase-12.5/SQLRemote/lib/libsstasks7_r.so: version `libdbtasks7_r.so' not found (required by ./ssxtract) The file libsstasks7_r.so exists and the path is correctly specified in /etc/ld.so.conf. There'...

Words of wisdom..Upgrade 11.5.1.1 to 12.5.3 HP-UX
I'm in the process (i.e. investigating) the upgrading a 120 GB 11.5.1.1 (believe it or not) database to 12.5.3 (or whatever the latest "stable" version is on HP-UX). Can anyone offer any good documents/words of wisdom on said task? Any comments on the new features? I've heard they've gotten rid of the necessity of raw devices (woot!). Any comments on the 64-bit stuff for HP (i.e. is it stable)? What new features are a must-use, and what's a "Sybase w.i.p." (i.e. cool thing, but still not really stable). Also we're going to make a test en...

Hardware Migration: 5.1 to 6.5 upgrading to EDir fails
Hi! We habe got great problems migrating form our old server with 5.1 (SP8) to the new server with 6.5 ... After trying to migrate for 5 times (with a failure each time while upgrading nds to edir) we decided to upgrade nds to edir first! After running dsrepair with 0 errors and beginning the installtion the server wants to update the nds after the remote. At this time we got 4 errors while creating "parse vector, used by, uses..) later ldap can't be installed ("no refferals") and under X install cannot update the nds for pki, nmnas, auth., ... and got an ...

Upgrading from 11.5(SWR 7753 Rollup) to 11.5.1 on HP-UX 11
Dear friends! Have anybody had any problems with upgrading ASE11.5(SWR 7753 Rollup) to 11.5.1 at HP-UX 11? With best regards, Vadim zero98@iname.com ...

About: upgrading from 11.1 KDE3.5 to 11.2 KDE 4.3.5 (a not so serious review of experience)
Well, everybody was in my ears to "update because the KDE 3.5 version does not get support anymore. So functionality will suffer etc. Well, I have a clone of my notebook install of 11.1 on a spare disk, so, why not having a try, now that 11.2 had time enough to mature. The version is the 11.2 64 bit. This is not intend to be a rant. But a view on how I lived this update trial (which at the end, if you do not want to loose your time with a thread meant to correct the usual publication bias, ("all is so beautiful") came out with the though: WAIT, LOOKS GOOD BUT SEE...

Web resources about - Problem with upgrade from 11.5.1 to 12.5.2 - "esp execution stacksize" parameter value not changeable in 11.5.1 - sybase.ase.upgrades+migration

Resources last updated: 12/17/2015 8:34:28 AM